%%
%% $Id: style.tex,v 1.5 2002-02-18 21:49:57 mbaur Exp $
%%
%% Shared misc bits for JNuke LaTeX documentation
%%


\usepackage[dvips]{graphicx}
\usepackage{a4}
\usepackage{verbatim}

%% -------------------------------------------------
%% 
\newtheorem{example}{Example}
\newtheorem{definition}{Definition}

%% -------------------------------------------------
%% 
\newcommand{\escape}{$\setminus$}

%% -------------------------------------------------
%%
\newcommand{\code}[1]{
	\protect
	\bigskip
	\noindent
	\textnormal
	\footnotesize
	\texttt{
	\begin{tabular}{|l}
	#1
	\end{tabular}
	} %% texttt
	\normalsize
	\bigskip
}

%% -------------------------------------------------
%%
\newcommand{\JNuke}{\protect\textsf{JNuke }}

%% -------------------------------------------------
%%
\newcommand{\tab}{\protect\texttt{\phantom{  }}}


%% -------------------------------------------------
%% \graphic{label}{filename}{caption}
\newcommand{\graphic}[4]{
\IfFileExists{#2.eps}
{%
	%% file filename.eps is available
	\begin{figure}[ht!]
	\label{#1}
	\begin{center}
	\includegraphics[width=#4 \textwidth]{#2}
	\end{center}
	\caption{#3}
	\end{figure}
}{
	%% file filename.eps is missing
	\begin{figure}[ht!]
	\label{#1}
	\begin{center}
	\framebox{\textbf{$<<<$ Warning: File "#2.eps" missing $>>>$}}
	\end{center}
	\caption{#3}
	\end{figure}
}
}

%% -------------------------------------------------


%% EOF
